Property | Type | Description | |
---|---|---|---|
m_drivingLine | System.Line | ||
m_drivingVector | Autodesk.Revit.DB.XYZ | ||
m_edges | List |
||
m_points | List |
||
m_solid | Solid | ||
m_transform | Transform |
Method | Description | |
---|---|---|
GeometrySupport ( FamilyInstance element, Options geoOptions ) : System |
constructor
|
Method | Description | |
---|---|---|
GetDrivingLineLength ( ) : double |
Get the length of driving line
|
|
GetRelatedVectors ( Autodesk point ) : List |
Get two vectors, which indicate some edge direction which contain given point, set the given point as the start point, the other end point of the edge as end
|
|
OffsetPoints ( double offset ) : List |
Offset the points of the swept profile to make the points inside swept profile
|
|
Transform ( Autodesk point ) : Autodesk.Revit.DB.XYZ |
transform the point to new coordinates
|
Method | Description | |
---|---|---|
ChangeEdgeToLine ( EdgeArray edges ) : List |
Change the swept profile edges from EdgeArray type to line list
|
|
GetSweptProfile ( Solid solid ) : bool |
Find the inforamtion of the swept profile(face), and store the points and edges of the profile(face)
|
|
GetSweptProfileFace ( Solid solid ) : Face |
Get the swept profile(face) of the host object(family instance)
|
public GeometrySupport ( FamilyInstance element, Options geoOptions ) : System | ||
element | FamilyInstance | the host object, must be family instance |
geoOptions | Options | the geometry option |
return | System |
protected GetRelatedVectors ( Autodesk point ) : List |
||
point | Autodesk | a point of the swept profile |
return | List |
protected OffsetPoints ( double offset ) : List |
||
offset | double | indicate how long to offset on two directions |
return | List |
protected Transform ( Autodesk point ) : Autodesk.Revit.DB.XYZ | ||
point | Autodesk | the point need to transform |
return | Autodesk.Revit.DB.XYZ |
protected XYZ,Autodesk.Revit.DB m_drivingVector | ||
return | Autodesk.Revit.DB.XYZ |